commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matt Benson <gudnabr...@gmail.com>
Subject Re: [collections] maven dependency help
Date Wed, 22 Jan 2014 22:52:55 GMT
Hello,
  In order to avoid "dependency hell" the Apache Commons team makes it
common practice to change the artifact name when making a release that
breaks compatibility with previous releases.  In addition, we have begun
making these new releases under the org.apache.commons Maven group, so the
artifact you want is
http://search.maven.org/#artifactdetails%7Corg.apache.commons%7Ccommons-collections4%7C4.0%7Cjar
.

HTH,
Matt


On Wed, Jan 22, 2014 at 4:44 PM, Venkat K <venkat.cec@googlemail.com> wrote:

> Hi All,
>
> I have been using commons-collections for my project and I find it very
> helpful. Thanks to the developer community who has contributed to that. I
> am trying to add a maven dependency to the latest commons-collections
> package, which I see from the site is 4.0  (
>
> http://commons.apache.org/proper/commons-collections/javadocs/api-release/index.html
> ).
>
> I see from maven central that the version that it has is 20040616. This
> looks like a date and not a version number. However, the contents of the
> jar seems to match the API at
>
> http://commons.apache.org/proper/commons-collections/javadocs/api-release/index.html
> .
> I would like to confirm if this is the actual 4.0 dependency, that I should
> be adding.
>
>
> http://search.maven.org/#artifactdetails%7Ccommons-collections%7Ccommons-collections%7C20040616%7Cjar
>
> <dependency>
> <groupId>commons-collections</groupId>
> <artifactId>commons-collections</artifactId>
> <version>20040616</version>
> </dependency>
>
> Thanks,
>
> Venkat
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message